/*******************************************************************************
 * @author    Patricie Benešová
 * @version   1.00.000
 */
public class Zamestnanec
{
    private String jmeno;
    private Pohlavi pohlavi;
    private String pozice;

    public Zamestnanec(String jmeno, Pohlavi pohlavi, String pozice) {
        this.jmeno = jmeno;
        this.pohlavi = pohlavi;
        this.pozice = pozice;
    }

    /**
     * Getter pro získání jména zaměstnance
     */
    public String getJmeno() {
        return jmeno;
    }

    /**
     * Getter pro získání pohlaví zaměstnance
     */
    public Pohlavi getPohlavi() {
        return pohlavi;
    }

    /**
     * Getter pro získání pozice zaměstnance
     */
    public String getPozice() {
        return pozice;
    }

    @Override
    public String toString() {
        return "Zamestnanec = " + jmeno + " (" + pohlavi + ", " + pozice + ')';
    }

}
